# Uses of Class
org.eclipse.equinox.p2.operations.SynchronizeOperation

Packages that use SynchronizeOperation
Package
Description
org.eclipse.equinox.p2.operations
Describes high level provisioning operations that can be resolved and performed either modally or in the background.

## Uses of SynchronizeOperation in org.eclipse.equinox.p2.operations

Methods in org.eclipse.equinox.p2.operations that return SynchronizeOperation
Modifier and Type
Method
Description
`SynchronizeOperation`
OperationFactory.`createSynchronizeOperation(Collection<? extends IVersionedId> toInstall, Collection<URI> repos, IProgressMonitor monitor)`
This factory method creates an `SynchronizeOperation` that will cause the current installation to exclusively contain the elements listed once executed.